Bug 1274764 - (CVE-2015-4819) CVE-2015-4819 mysql: unspecified vulnerability related to Client programs (CPU October 2015)
CVE-2015-4819 mysql: unspecified vulnerability related to Client programs (CP...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151021,reported=2...
: Reopened, Security
Depends On: 1276223 1276224 1276225 1304515 1304516 1330444 1330445 1342454
Blocks: 1274745
  Show dependency treegraph
 
Reported: 2015-10-23 09:50 EDT by Martin Prpič
Modified: 2018-01-30 18:52 EST (History)
26 users (show)

See Also:
Fixed In Version: mysql 5.5.45, mysql 5.6.26, mariadb 5.5.45, mariadb 10.1.8, mariadb 10.0.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 03:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant parts diff between mysql-5.5.45 and mysql-5.5.44 (5.27 KB, patch)
2015-10-29 02:53 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Martin Prpič 2015-10-23 09:50:18 EDT
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Client programs). Supported versions that are affected are 5.5.44 and earlier and 5.6.25 and earlier. Easily exploitable vulnerability requiring logon to Operating System. Successful attack of this vulnerability can result in unauthorized Operating System takeover including arbitrary code execution.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixMSQL
Comment 1 Huzaifa S. Sidhpurwala 2015-10-29 02:15:44 EDT
This issue was addressed in mariadb-10.0.21 as per the release notes at:

https://mariadb.com/kb/en/mariadb/mariadb-10021-release-notes/
Comment 2 Huzaifa S. Sidhpurwala 2015-10-29 02:52:30 EDT
Attached is a diff between mysql-5.5.45 and mysql-5.5.44. 

Looking at the diff, it seems this issue was related to the "mysqlslap" utility. There was a buffer overflow when using this particular diagnostic utility, which could result in arbitrary code execution. This is also suggested by the Changelog as seen in the attachment.

Based on the this, it seems this issue should more likely be impact=moderate, rather than important
Comment 3 Huzaifa S. Sidhpurwala 2015-10-29 02:53 EDT
Created attachment 1087395 [details]
Relevant parts diff between mysql-5.5.45 and mysql-5.5.44
Comment 4 Huzaifa S. Sidhpurwala 2015-10-29 03:01:23 EDT
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1276224]
Comment 5 Huzaifa S. Sidhpurwala 2015-10-29 03:01:36 EDT
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1276223]
Comment 6 Huzaifa S. Sidhpurwala 2015-10-29 03:01:47 EDT
Created mariadb-galera tracking bugs for this issue:

Affects: fedora-all [bug 1276225]
Comment 8 Tomas Hoger 2016-01-25 17:16:05 EST
Oracle CPU indicates this issue was fixed in MySQL 5.5.45 and 5.6.26, hence it was already corrected in the following updates released in August 2015:

Red Hat Enterprise Linux 5 - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1628.html

Red Hat Software Collections - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1629.html

Red Hat Software Collections - rh-mysql56-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1630.html
Comment 9 Tomas Hoger 2016-02-02 15:40:21 EST
I concur with the finding in comment 2.  The mysqlslap fix is the only client-related change in 5.5.45.  Upstream commit link is:

https://github.com/mysql/mysql-server/commit/044e3b1d07c0854c39178d3054ab0cd0a3188436

This patch fixes a buffer overflow in the command line argument parsing.  So there's no trust boundary crossed, and this should not be called security at all.  Additionally, this fix protects against strncpy() buffer overflow, which is caught by FORTIFY_SOURCE, which limits the impact to application abort.
Comment 12 errata-xmlrpc 2016-03-31 17:56:52 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0534 https://rhn.redhat.com/errata/RHSA-2016-0534.html
Comment 14 errata-xmlrpc 2016-05-26 04:39:23 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1132 https://access.redhat.com/errata/RHSA-2016:1132
Comment 16 errata-xmlrpc 2016-07-25 04:26:33 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1481 https://rhn.redhat.com/errata/RHSA-2016-1481.html

Note You need to log in before you can comment on or make changes to this bug.